Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/outils: Split package into multiple subpackages

From: Sören Tempel <soeren+git_at_soeren-tempel.net>
Date: Sun, 28 Feb 2016 13:22:44 +0100

Not committing this myself because with this change every outils binary
would have its own package which is actually nice since you mostly only
want one of them. Furthermore it makes it easier to resolve package
conflicts, for instance testing/vis would only conflict with outils-vis
instead of the entire package.
---
 testing/outils/APKBUILD | 29 +++++++++++++++++++++++++++--
 1 file changed, 27 insertions(+), 2 deletions(-)
diff --git a/testing/outils/APKBUILD b/testing/outils/APKBUILD
index 4de1e50..b788b88 100644
--- a/testing/outils/APKBUILD
+++ b/testing/outils/APKBUILD
_at_@ -2,7 +2,7 @@
 # Maintainer: Sören Tempel <soeren+alpine_at_soeren-tempel.net>
 pkgname=outils
 pkgver=0.3
-pkgrel=2
+pkgrel=3
 pkgdesc="Port of some non-standard OpenBSD tools to Linux"
 url="https://github.com/chneukirchen/outils"
 arch="all"
_at_@ -11,7 +11,23 @@ depends=""
 depends_dev=""
 makedepends="openssl-dev linux-headers"
 install=""
-subpackages="$pkgname-doc"
+subpackages="$pkgname-doc
+	$pkgname-sha256:_tool
+	$pkgname-lndir:_tool
+	$pkgname-rdate:_tool
+	$pkgname-calendar:_tool
+	$pkgname-lam:_tool
+	$pkgname-what:_tool
+	$pkgname-rs:_tool
+	$pkgname-unvis:_tool
+	$pkgname-gzsig:_tool
+	$pkgname-md5:_tool
+	$pkgname-sha1:_tool
+	$pkgname-apply:_tool
+	$pkgname-sha512:_tool
+	$pkgname-vis:_tool
+	$pkgname-signify:_tool
+	$pkgname-jot:_tool"
 source="$pkgname-$pkgver.tar.gz::https://github.com/chneukirchen/$pkgname/archive/v$pkgver.tar.gz"
 
 _builddir="$srcdir"/$pkgname-$pkgver
_at_@ -36,6 +52,15 @@ package() {
 	rm -f "$pkgdir"/usr/share/man/man1/cksum.1 || return 1
 }
 
+_tool() {
+	local name=$(echo $subpkgname | cut -d '-' -f2)
+	pkgdesc="$name tool from $pkgname"
+
+	mkdir -p "$subpkgdir"/usr/bin
+	mv "$pkgdir"/usr/bin/$name \
+		"$subpkgdir"/usr/bin/$name || return 1
+}
+
 md5sums="cb5d6274c78fd5dab8d5612668db08a3  outils-0.3.tar.gz"
 sha256sums="de4c947f8b71513c01a07e7f8e0958a891d3484cea0485d29ec531fa75042d64  outils-0.3.tar.gz"
 sha512sums="cd6d4bb92d1a867fbc9447b8ff993a21c65daa1b0ed46ea1911cdd461e466384b688cb5137dd62996c4980ef6fb9276651132703bbcdd1f61518dd68d2bcbbe4  outils-0.3.tar.gz"
-- 
2.7.2
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Sun Feb 28 2016 - 13:22:44 GMT